## EomJobCopy

EomJobCopy

## Functions

#define | EOM_JOB_THUMBNAIL()
#define | EOM_JOB_THUMBNAIL_CLASS()
#define | EOM_IS_JOB_THUMBNAIL()
#define | EOM_JOB_LOAD()
#define | EOM_JOB_LOAD_CLASS()
#define | EOM_IS_JOB_LOAD()
#define | EOM_JOB_MODEL()
#define | EOM_JOB_MODEL_CLASS()
#define | EOM_IS_JOB_MODEL()
#define | EOM_JOB_TRANSFORM()
#define | EOM_JOB_TRANSFORM_CLASS()
#define | EOM_IS_JOB_TRANSFORM()
#define | EOM_JOB_SAVE()
#define | EOM_JOB_SAVE_CLASS()
#define | EOM_IS_JOB_SAVE()
#define | EOM_JOB_SAVE_GET_CLASS()
#define | EOM_JOB_SAVE_AS()
#define | EOM_JOB_SAVE_AS_CLASS()
#define | EOM_IS_JOB_SAVE_AS()
#define | EOM_JOB_COPY()
#define | EOM_JOB_COPY_CLASS()
void | eom_job_finished ()
void | eom_job_run ()
void | eom_job_set_progress ()
GType | eom_job_thumbnail_get_type ()
EomJob * | eom_job_thumbnail_new ()
GType | eom_job_load_get_type ()
EomJob * | eom_job_load_new ()
GType | eom_job_model_get_type ()
EomJob * | eom_job_model_new ()
GType | eom_job_transform_get_type ()
EomJob * | eom_job_transform_new ()
GType | eom_job_save_get_type ()
EomJob * | eom_job_save_new ()
GType | eom_job_save_as_get_type ()
EomJob * | eom_job_save_as_new ()
GType | eom_job_copy_get_type ()
EomJob * | eom_job_copy_new ()

## Signals

void | finished | Run Last
void | progress | Run Last

## Types and Values

#define | EOM_TYPE_JOB_THUMBNAIL
#define | EOM_TYPE_JOB_LOAD
#define | EOM_TYPE_JOB_MODEL
#define | EOM_TYPE_JOB_TRANSFORM
#define | EOM_TYPE_JOB_SAVE
#define | EOM_TYPE_JOB_SAVE_AS
| EomJob
struct | EomJobThumbnail
struct | EomJobLoad
struct | EomJobModel
struct | EomJobTransform
enum | EomJobSaveResponse
struct | EomJobSave
struct | EomJobSaveAs
struct | EomJobCopy

## Object Hierarchy

        GObject
        ╰── EomJob
            ├── EomJobCopy
            ├── EomJobLoad
            ├── EomJobModel
            ├── EomJobSave
            │   ╰── EomJobSaveAs
            ├── EomJobThumbnail
            ╰── EomJobTransform

## Description

## Functions

### EOM_JOB_THUMBNAIL()

    #define EOM_JOB_THUMBNAIL(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_THUMBNAIL, EomJobThumbnail))

### EOM_JOB_THUMBNAIL_CLASS()

    #define EOM_JOB_THUMBNAIL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOM_TYPE_JOB_THUMBNAIL, EomJobThumbnailClass))

### EOM_IS_JOB_THUMBNAIL()

    #define EOM_IS_JOB_THUMBNAIL(obj)      (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_THUMBNAIL))

### EOM_JOB_LOAD()

    #define EOM_JOB_LOAD(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_LOAD, EomJobLoad))

### EOM_JOB_LOAD_CLASS()

    #define EOM_JOB_LOAD_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass),  EOM_TYPE_JOB_LOAD, EomJobLoadClass))

### EOM_IS_JOB_LOAD()

    #define EOM_IS_JOB_LOAD(obj)	       (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_LOAD))

### EOM_JOB_MODEL()

    #define EOM_JOB_MODEL(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_MODEL, EomJobModel))

### EOM_JOB_MODEL_CLASS()

    #define EOM_JOB_MODEL_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass),  EOM_TYPE_JOB_MODEL, EomJobModelClass))

### EOM_IS_JOB_MODEL()

    #define EOM_IS_JOB_MODEL(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_MODEL))

### EOM_JOB_TRANSFORM()

    #define EOM_JOB_TRANSFORM(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_TRANSFORM, EomJobTransform))

### EOM_JOB_TRANSFORM_CLASS()

    #define EOM_JOB_TRANSFORM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOM_TYPE_JOB_TRANSFORM, EomJobTransformClass))

### EOM_IS_JOB_TRANSFORM()

    #define EOM_IS_JOB_TRANSFORM(obj)      (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_TRANSFORM))

### EOM_JOB_SAVE()

    #define EOM_JOB_SAVE(obj)              (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_SAVE, EomJobSave))

### EOM_JOB_SAVE_CLASS()

    #define EOM_JOB_SAVE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass), EOM_TYPE_JOB_SAVE, EomJobSaveClass))

### EOM_IS_JOB_SAVE()

    #define EOM_IS_JOB_SAVE(obj)           (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_SAVE))

### EOM_JOB_SAVE_GET_CLASS()

    #define EOM_JOB_SAVE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), EOM_TYPE_JOB_SAVE, EomJobSaveClass))

### EOM_JOB_SAVE_AS()

    #define EOM_JOB_SAVE_AS(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_SAVE_AS, EomJobSaveAs))

### EOM_JOB_SAVE_AS_CLASS()

    #define EOM_JOB_SAVE_AS_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass), EOM_TYPE_JOB_SAVE_AS, EomJobSaveAsClass))

### EOM_IS_JOB_SAVE_AS()

    #define EOM_IS_JOB_SAVE_AS(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOM_TYPE_JOB_SAVE_AS))

### EOM_JOB_COPY()

    #define EOM_JOB_COPY(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_JOB_COPY, EomJobCopy))

### EOM_JOB_COPY_CLASS()

    #define EOM_JOB_COPY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOM_TYPE_JOB_COPY, EomJobCopyClass))

### eom_job_finished ()

    void
    eom_job_finished (EomJob *job);

### eom_job_run ()

    void
    eom_job_run (EomJob *job);

Executes the job passed as `job` . Usually there is no need to call this on your own. Jobs should be executed by using the EomJobQueue.

#### Parameters

job | the job to execute. |

### eom_job_set_progress ()

    void
    eom_job_set_progress (EomJob *job,
                          float progress);

### eom_job_thumbnail_get_type ()

    GType
    eom_job_thumbnail_get_type (void);

### eom_job_thumbnail_new ()

    EomJob *
    eom_job_thumbnail_new (EomImage *image);

### eom_job_load_get_type ()

    GType
    eom_job_load_get_type (void);

### eom_job_load_new ()

    EomJob *
    eom_job_load_new (EomImage *image,
                      EomImageData data);

### eom_job_model_get_type ()

    GType
    eom_job_model_get_type (void);

### eom_job_model_new ()

    EomJob *
    eom_job_model_new (GSList *file_list);

Creates a new EomJob model.

#### Parameters

file_list | a GFile list. | [element-type GFile]

#### Returns

A EomJob.

### eom_job_transform_get_type ()

    GType
    eom_job_transform_get_type (void);

### eom_job_transform_new ()

    EomJob *
    eom_job_transform_new (GList *images,
                           EomTransform *trans);

Create a new EomJob for image transformation.

#### Parameters

images | a EomImage list. | [element-type EomImage][transfer full]
trans | a EomTransform |

#### Returns

A EomJob.

### eom_job_save_get_type ()

    GType
    eom_job_save_get_type (void);

### eom_job_save_new ()

    EomJob *
    eom_job_save_new (GList *images);

Creates a new EomJob for image saving.

#### Parameters

images | a EomImage list. | [element-type EomImage][transfer full]

#### Returns

A EomJob.

### eom_job_save_as_get_type ()

    GType
    eom_job_save_as_get_type (void);

### eom_job_save_as_new ()

    EomJob *
    eom_job_save_as_new (GList *images,
                         EomURIConverter *converter,
                         GFile *file);

Creates a new EomJob for save as.

#### Parameters

images | a EomImage list. | [element-type EomImage][transfer full]
converter | a URI converter file: a GFile |

#### Returns

A EomJob.

### eom_job_copy_get_type ()

    GType
    eom_job_copy_get_type (void);

### eom_job_copy_new ()

    EomJob *
    eom_job_copy_new (GList *images,
                      const gchar *dest);

Creates a new EomJob.

#### Parameters

images | a EomImage list. | [element-type EomImage][transfer full]
dest | destination path for the copy |

#### Returns

A EomJob.

## Types and Values

### EOM_TYPE_JOB_THUMBNAIL

    #define EOM_TYPE_JOB_THUMBNAIL	       (eom_job_thumbnail_get_type())

### EOM_TYPE_JOB_LOAD

    #define EOM_TYPE_JOB_LOAD	       (eom_job_load_get_type())

### EOM_TYPE_JOB_MODEL

    #define EOM_TYPE_JOB_MODEL	       (eom_job_model_get_type())

### EOM_TYPE_JOB_TRANSFORM

    #define EOM_TYPE_JOB_TRANSFORM	       (eom_job_transform_get_type())

### EOM_TYPE_JOB_SAVE

    #define EOM_TYPE_JOB_SAVE              (eom_job_save_get_type())

### EOM_TYPE_JOB_SAVE_AS

    #define EOM_TYPE_JOB_SAVE_AS           (eom_job_save_as_get_type())

### EomJob

    typedef struct _EomJob EomJob;

### struct EomJobThumbnail

    struct EomJobThumbnail;

### struct EomJobLoad

    struct EomJobLoad;

### struct EomJobModel

    struct EomJobModel;

### struct EomJobTransform

    struct EomJobTransform;

### enum EomJobSaveResponse

#### Members

EOM_SAVE_RESPONSE_NONE |  |
EOM_SAVE_RESPONSE_RETRY |  |
EOM_SAVE_RESPONSE_SKIP |  |
EOM_SAVE_RESPONSE_OVERWRITE |  |
EOM_SAVE_RESPONSE_CANCEL |  |
EOM_SAVE_RESPONSE_LAST |  |

### struct EomJobSave

    struct EomJobSave;

### struct EomJobSaveAs

    struct EomJobSaveAs;

### struct EomJobCopy

    struct EomJobCopy;

## Signal Details

### The `“finished”` signal

    void
    user_function (EomJob  *eomjob,
                   gpointer user_data)

Flags: Run Last

### The `“progress”` signal

    void
    user_function (EomJob  *eomjob,
                   gfloat   arg1,
                   gpointer user_data)

Flags: Run Last